> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# GetAuthorizedAccountIPs

POST https://api.voximplant.com/platform_api/GetAuthorizedAccountIPs

Gets the authorized IP4 or network.

Allowed roles: `Owner`, `Admin`, `Developer`.

**Example request:** Show the all items.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/authorized-ips/get-authorized-account-i-ps

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: management-api
  version: 1.0.0
paths:
  /GetAuthorizedAccountIPs:
    post:
      operationId: get-authorized-account-i-ps
      summary: GetAuthorizedAccountIPs
      description: |-
        Gets the authorized IP4 or network.

        Allowed roles: `Owner`, `Admin`, `Developer`.

        **Example request:** Show the all items.
      tags:
        - subpackage_authorizedIps
      parameters:
        - name: authorized_ip
          in: query
          description: The authorized IP4 or network to filter
          required: false
          schema:
            type: string
        - name: allowed
          in: query
          description: Whether the IP is allowed
          required: false
          schema:
            type: boolean
        - name: contains_ip
          in: query
          description: >-
            Specify the parameter to filter the networks that contains the
            particular IP4
          required: false
          schema:
            type: string
        - name: count
          in: query
          description: The max returning record count
          required: false
          schema:
            type: integer
            default: 50
        - name: offset
          in: query
          description: The first **N** records are skipped in the output
          required: false
          schema:
            type: integer
            default: 0
        - name: description
          in: query
          description: The IP address description
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            Voximplant Management API uses signed JWT tokens generated from your
            service-account private key. Pass the token in the `Authorization`
            header as a Bearer value:


            ```

            Authorization: Bearer $VOXIMPLANT_TOKEN

            ```


            See [Authorization](/api-reference/management-api/authorization) for
            ready-to-copy snippets in bash, Python, Node.js and Go that turn
            your `credentials.json` into a token.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/authorized-ips_GetAuthorizedAccountIPs_Response_200
servers:
  - url: https://api.voximplant.com/platform_api
components:
  schemas:
    AuthorizedAccountIpTypeAllowed:
      oneOf:
        - type: boolean
        - type: string
      description: Whether the IP is allowed (true - whitelist, false - blacklist)
      title: AuthorizedAccountIpTypeAllowed
    AuthorizedAccountIPType:
      type: object
      properties:
        authorized_ip:
          type: string
          description: The authorized IP4 or network
        allowed:
          $ref: '#/components/schemas/AuthorizedAccountIpTypeAllowed'
          description: Whether the IP is allowed (true - whitelist, false - blacklist)
        created:
          type: string
          description: |-
            Timestamp in YYYY-MM-DD HH:mm:ss format.

            The item creating UTC date in 24-h format: YYYY-MM-DD HH:mm:ss
      description: The [GetAuthorizedAccountIPs] function result.
      title: AuthorizedAccountIPType
    authorized-ips_GetAuthorizedAccountIPs_Response_200:
      type: object
      properties:
        result:
          type: array
          items:
            $ref: '#/components/schemas/AuthorizedAccountIPType'
        total_count:
          type: integer
          description: The total found network count
        count:
          type: integer
          description: The returned network count
      title: authorized-ips_GetAuthorizedAccountIPs_Response_200
  securitySchemes:
    JwtAuth:
      type: http
      scheme: bearer
      description: >-
        Voximplant Management API uses signed JWT tokens generated from your
        service-account private key. Pass the token in the `Authorization`
        header as a Bearer value:


        ```

        Authorization: Bearer $VOXIMPLANT_TOKEN

        ```


        See [Authorization](/api-reference/management-api/authorization) for
        ready-to-copy snippets in bash, Python, Node.js and Go that turn your
        `credentials.json` into a token.

```

## SDK Code Examples

```python Example 1
import requests

url = "https://api.voximplant.com/platform_api/GetAuthorizedAccountIPs"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Example 1
const url = 'https://api.voximplant.com/platform_api/GetAuthorizedAccountIPs';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 1
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/GetAuthorizedAccountIPs"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 1
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/GetAuthorizedAccountIPs")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Example 1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/GetAuthorizedAccountIPs")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Example 1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/GetAuthorizedAccountIPs', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Example 1
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/GetAuthorizedAccountIPs");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Example 1
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetAuthorizedAccountIPs")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```